Phone numbers

Update phone number

Update an existing phone number

PATCH
/phone-numbers/{id}
Authorization<token>

API key in the format: Bearer YOUR_API_KEY

In: header

Path Parameters

idstring

Phone number ID

Formatuuid
name?string
number?string
provider?string
Value in"twilio" | "sip" | "voximplant" | "jambonz"
sipMode?string
Value in"registration" | "ip_allowlist"
agentId?string|null
Formatuuid
twilioAccountSid?string
twilioAuthToken?string
sipUsername?string
Lengthlength <= 60
sipPassword?string
sipProxy?string

SIP registrar host. In registration mode, this is the host Somleng registers TO.

Lengthlength <= 100
sipOutboundProxy?string|null

Optional SIP outbound proxy for registration mode.

Lengthlength <= 100
sipAuthUser?string|null

Optional SIP auth username if different from sipUsername.

Lengthlength <= 60
sipIp?string

IP address of your PBX/SBC (ip_allowlist mode).

Lengthlength <= 255
sipPort?integer

SIP port number. Used in both registration and ip_allowlist modes.

Range1 <= value <= 65535
sipProtocol?string
Value in"udp" | "tcp" | "tls"
sipRegisterTransport?string

SIP registration transport protocol. Used when sipMode is 'registration'.

Value in"udp" | "tcp" | "tls"
metadata?

Response Body

application/json

application/json

curl -X PATCH "https://api.chorus-ai.co/v1/phone-numbers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "number": "string",
    "provider": "twilio",
    "sipMode": "registration",
    "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string",
  "details": [
    {}
  ]
}

Last updated on